package com.cbr.hdt.spark;

import com.cbr.hdt.impl.Triple;
import com.esotericsoftware.kryo.Kryo;
import java.io.Serializable;
import java.util.AbstractMap;
import org.apache.spark.serializer.KryoRegistrator;
import org.rdfhdt.hdt.triples.TripleString;

/**
 *
 * @author Carlos Barrales Ruiz
 * <a href="mailto:cbruiz@gmail.com">cbruiz@gmail.com</a>
 */
public class HDTKryoRegistrator implements KryoRegistrator, Serializable {

    /**
     *
     * @param kryo
     */
    @Override
    public void registerClasses(Kryo kryo) {
        kryo.register(Triple.class);
        kryo.register(TripleString.class);
        kryo.register(AbstractMap.class);
    }
}
